列出 depIOSEnrollmentProfiles
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
列出 depIOSEnrollmentProfile 对象的属性和 关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.Read.All、DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
GET /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 depIOSEnrollmentProfile 对象集合。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 2707
{
"value": [
{
"@odata.type": "#microsoft.graph.depIOSEnrollmentProfile",
"id": "1ec10a60-0a60-1ec1-600a-c11e600ac11e",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true,
"isDefault": true,
"supervisedModeEnabled": true,
"supportDepartment": "Support Department value",
"isMandatory": true,
"locationDisabled": true,
"supportPhoneNumber": "Support Phone Number value",
"profileRemovalDisabled": true,
"restoreBlocked": true,
"appleIdDisabled": true,
"termsAndConditionsDisabled": true,
"touchIdDisabled": true,
"applePayDisabled": true,
"siriDisabled": true,
"diagnosticsDisabled": true,
"displayToneSetupDisabled": true,
"privacyPaneDisabled": true,
"screenTimeScreenDisabled": true,
"deviceNameTemplate": "Device Name Template value",
"configurationWebUrl": true,
"iTunesPairingMode": "allow",
"managementCertificates": [
{
"@odata.type": "microsoft.graph.managementCertificateWithThumbprint",
"thumbprint": "Thumbprint value",
"certificate": "Certificate value"
}
],
"restoreFromAndroidDisabled": true,
"awaitDeviceConfiguredConfirmation": true,
"sharedIPadMaximumUserCount": 10,
"enableSharedIPad": true,
"companyPortalVppTokenId": "Company Portal Vpp Token Id value",
"enableSingleAppEnrollmentMode": true,
"homeButtonScreenDisabled": true,
"iMessageAndFaceTimeScreenDisabled": true,
"onBoardingScreenDisabled": true,
"simSetupScreenDisabled": true,
"softwareUpdateScreenDisabled": true,
"watchMigrationScreenDisabled": true,
"appearanceScreenDisabled": true,
"expressLanguageScreenDisabled": true,
"preferredLanguageScreenDisabled": true,
"deviceToDeviceMigrationDisabled": true,
"welcomeScreenDisabled": true,
"passCodeDisabled": true,
"zoomDisabled": true,
"restoreCompletedScreenDisabled": true,
"updateCompleteScreenDisabled": true,
"forceTemporarySession": true,
"temporarySessionTimeoutInSeconds": 0,
"userSessionTimeoutInSeconds": 11,
"passcodeLockGracePeriodInSeconds": 0,
"carrierActivationUrl": "https://example.com/carrierActivationUrl/",
"userlessSharedAadModeEnabled": true
}
]
}
反馈
提交和查看相关反馈